# PhasicFlow: subSurface Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

subSurface Class Reference

## Public Member Functions

| subSurface ()=default
| subSurface (const word &name, uint32 start, uint32 end, uint32 pointStart, uint32 pointEnd)
| subSurface (const subSurface &)=default
subSurface & | operator= (const subSurface &)=default
| ~subSurface ()=default
uint32 | operator() (uint32 i) const
uint32 | start () const
uint32 | end () const
uint32 | pointStart () const
uint32 | pointEnd () const
const auto & | name () const
uint32 | size () const
uint32 | numPoints () const

## Private Attributes

uint32 | start_ = 0
uint32 | end_ = 0
uint32 | pointStart_ = 0
uint32 | pointEnd_ =0
word | name_

## Friends

iOstream & | operator<< (iOstream &str, const subSurface &sub)
iIstream & | operator>> (iIstream &str, subSurface &sub)

> > operator

More...

## Detailed Description

Definition at line 27 of file subSurface.hpp.

## Constructor & Destructor Documentation

## subSurface() [1/3]

subSurface | ( |  | ) |

default

## subSurface() [2/3]

subSurface | ( | const word & | name,
|  | uint32 | start,
|  | uint32 | end,
|  | uint32 | pointStart,
|  | uint32 | pointEnd
| ) |  |

inline

Definition at line 43 of file subSurface.hpp.

## subSurface() [3/3]

subSurface | ( | const subSurface & |  | ) |

default

## ~subSurface()

~subSurface | ( |  | ) |

default

## Member Function Documentation

## operator=()

subSurface& operator= | ( | const subSurface & |  | ) |

default

## operator()()

uint32 operator() | ( | uint32 | i | ) | const

inline

Definition at line 58 of file subSurface.hpp.

References subSurface::start_.

## start()

uint32 start | ( |  | ) | const

inline

Definition at line 62 of file subSurface.hpp.

References subSurface::start_.

Referenced by pFlow::TSFtoVTK::triSurfaceToVTK().

Here is the caller graph for this function:

## end()

uint32 end | ( |  | ) | const

inline

Definition at line 67 of file subSurface.hpp.

References subSurface::end_.

Referenced by pFlow::TSFtoVTK::triSurfaceToVTK().

Here is the caller graph for this function:

## pointStart()

uint32 pointStart | ( |  | ) | const

inline

Definition at line 72 of file subSurface.hpp.

References subSurface::pointStart_.

Referenced by pFlow::TSFtoVTK::triSurfaceToVTK().

Here is the caller graph for this function:

## pointEnd()

uint32 pointEnd | ( |  | ) | const

inline

Definition at line 77 of file subSurface.hpp.

References subSurface::pointEnd_.

Referenced by pFlow::TSFtoVTK::triSurfaceToVTK().

Here is the caller graph for this function:

## name()

const auto& name | ( |  | ) | const

inline

Definition at line 82 of file subSurface.hpp.

References subSurface::name_.

## size()

uint32 size | ( |  | ) | const

inline

Definition at line 87 of file subSurface.hpp.

References subSurface::end_, and subSurface::start_.

Referenced by pFlow::TSFtoVTK::triSurfaceToVTK().

Here is the caller graph for this function:

## numPoints()

uint32 numPoints | ( |  | ) | const

inline

Definition at line 92 of file subSurface.hpp.

References subSurface::pointEnd_, and subSurface::pointStart_.

Referenced by pFlow::TSFtoVTK::triSurfaceToVTK().

Here is the caller graph for this function:

## Friends And Related Function Documentation

## operator<<

iOstream& operator<< | ( | iOstream & | str,
|  | const subSurface & | sub
| ) |  |

friend

## operator>>

iIstream& operator>> | ( | iIstream & | str,
|  | subSurface & | sub
| ) |  |

friend

> > operator

## Member Data Documentation

## start_

uint32 start_ = 0

private

Definition at line 30 of file subSurface.hpp.

Referenced by subSurface::operator()(), pFlow::operator<<(), pFlow::operator>>(), subSurface::size(), and subSurface::start().

## end_

uint32 end_ = 0

private

Definition at line 32 of file subSurface.hpp.

Referenced by subSurface::end(), pFlow::operator<<(), pFlow::operator>>(), and subSurface::size().

## pointStart_

uint32 pointStart_ = 0

private

Definition at line 34 of file subSurface.hpp.

Referenced by subSurface::numPoints(), pFlow::operator<<(), pFlow::operator>>(), and subSurface::pointStart().

## pointEnd_

uint32 pointEnd_ =0

private

Definition at line 36 of file subSurface.hpp.

Referenced by subSurface::numPoints(), pFlow::operator<<(), pFlow::operator>>(), and subSurface::pointEnd().

## name_

word name_

private

Definition at line 38 of file subSurface.hpp.

Referenced by subSurface::name(), pFlow::operator<<(), and pFlow::operator>>().

The documentation for this class was generated from the following file:

- src/phasicFlow/triSurface/subSurface.hpp